#ifndef CCAMDRIVER_MV_H
#define CCAMDRIVER_MV_H

#include "ccamdriver.h"
#include "export_cam_driver_impl.h"
class CAM_DRIVER_IMPL_EXPORT CCamDriver_MV : public CCamDriver
{
public:
    CCamDriver_MV(const QString& name,int32_t id);
    int32_t init_driver();
    int32_t grab_image(int32_t camid,CMImage* pImageDest);
    int32_t get_cam_property_range(int32_t camid,int32_t propertyid);
    int32_t set_cam_property(int32_t camid,int32_t propertyid,
                                     int32_t data,bool_t bsetdefault);
    int32_t fresh_cam_property(int32_t camid,int32_t propertyid);
    int32_t autoadjust_property(int32_t camid);

    int32_t light_off(int32_t camid);
};

#endif // CCAMDRIVER_MV_H
